Package com.gpudb.protocol
Class InsertRecordsRequest.Options
java.lang.Object
com.gpudb.protocol.InsertRecordsRequest.Options
Enclosing class:
A set of string constants for the
InsertRecordsRequest parameter options.
Optional parameters.
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final StringIf set toTRUE, all correct records will be inserted and incorrect records will be rejected and reported.static final StringIf set toTRUE, no data will be saved and any errors will be returned.static final StringApplies only when upserting (whenUPDATE_ON_EXISTING_PKisTRUE).static final Stringstatic final StringSpecifies the record collision error-suppression policy for inserting into a table with a primary key, only used when not in upsert mode (upsert mode is disabled whenUPDATE_ON_EXISTING_PKisFALSE).static final StringThe record with higher value for the column resolves the primary-key insert conflict.static final StringThe record with lower value for the column resolves the primary-key insert conflict.static final Stringstatic final StringIf set toTRUE, success will always be returned, and any errors found will be included in the info map.static final StringIfTRUEthen return the internal record id along for each inserted record.static final StringComma-separated expressions, one per target table column.static final Stringstatic final StringIf set toTRUE, any strings which are too long for their target charN string columns will be truncated to fit.static final StringSpecifies the record collision policy for inserting into a table with a primary key.
Field Details
UPDATE_ON_EXISTING_PK
Specifies the record collision policy for inserting into a table with a primary key. If set toTRUE, any existing table record with primary key values that match those of a record being inserted will be replaced by that new record (the new data will be “upserted”). If set toFALSE, any existing table record with primary key values that match those of a record being inserted will remain unchanged, while the new record will be rejected and the error handled as determined byIGNORE_EXISTING_PK,ALLOW_PARTIAL_BATCH, andRETURN_INDIVIDUAL_ERRORS. If the specified table does not have a primary key, then this option has no effect. Supported values:TRUE: Upsert new records when primary keys match existing records.FALSE: Reject new records when primary keys match existing records.
FALSE.See Also:ENABLE_INPLACE_UPDATES
Applies only when upserting (whenUPDATE_ON_EXISTING_PKisTRUE). If set toTRUE, an existing record matched by primary key is modified in place. If set toFALSE, it is updated by deleting the existing record and inserting a replacement (delete and insert), which prevents the change from being reflected in dependent materialized views until they are refreshed. Supported values:The default value isTRUE.See Also:IGNORE_EXISTING_PK
Specifies the record collision error-suppression policy for inserting into a table with a primary key, only used when not in upsert mode (upsert mode is disabled whenUPDATE_ON_EXISTING_PKisFALSE). If set toTRUE, any record being inserted that is rejected for having primary key values that match those of an existing table record will be ignored with no error generated. IfFALSE, the rejection of any record for having primary key values matching an existing record will result in an error being reported, as determined byALLOW_PARTIAL_BATCHandRETURN_INDIVIDUAL_ERRORS. If the specified table does not have a primary key or if upsert mode is in effect (UPDATE_ON_EXISTING_PKisTRUE), then this option has no effect. Supported values:TRUE: Ignore new records whose primary key values collide with those of existing records.FALSE: Treat as errors any new records whose primary key values collide with those of existing records.
FALSE.See Also:RETURN_INDIVIDUAL_ERRORS
If set toTRUE, success will always be returned, and any errors found will be included in the info map. The “bad_record_indices” entry is a comma-separated list of bad records (0-based). If so, there will also be an “error_N” entry for each record with an error, where N is the index (0-based). Supported values:The default value isFALSE.See Also:REQUEST_SCHEMA_STR
Type schema ofdata(whenlistEncodingisBINARY), in [[“column_name”,“column_type”]] format. When non-empty and different from the table’s schema, the server remaps the incoming records to the table’s full schema. Columns present in the table but absent from this schema are filled using their default values, NULL (if nullable), or an error is returned. If empty, records must match the table’s full schema. The default value is ”.See Also:TRANSFORMATIONS
Comma-separated expressions, one per target table column. Each expression is evaluated per record. Empty entries (two consecutive commas) mean no transformation for that column — the value is resolved from the input record, table default, NULL, or an error. Expressions may reference input columns by name or by position (2 for the second, etc.). The default value is ”.See Also: